<?php
/*
Plugin Name: Authority Pro Squeeze Generator
Plugin URI: http://infoclub74.ru
Description: Create Magnetic, High Converting Squeeze Pages Right Inside WordPress.  For the full version of Authority Pro, visit http://authoritypro.com<a href="http://infoclub74.ru/" target="_blank"> Видеоинструкции по-русски.</a><a href="http://infoclub74.ru/?page_id=562" target="_blank"> Нажми, чтобы посмотреть, есть ли что то новое бесплатно...</a>
Author: Bryan McConnahea / WDT Media Inc.
Version: 2.0
Author URI: http://authoritypro.com/
*/
define('APSQUEEZE_PLUGIN_URL', plugin_dir_url( __FILE__ ));
class APSqueezePlugin {
  var $meta_fields = array(        
        // custom seo settings
        "media-seo-mainkey" , "mcustom-seo-title" , "mcustom-seo-desc" , "mcustom-seo-keywords" , "media-seo-score" ,
        //global media options meta fields
        "tool-launcher-image" , 
        //training media options meta fields
        "training-video-embed" , "training-video-image" , "training-video-height" , "training-video-width" , "dont-use-lightbox" , "disable-vid-ai" ,
        "integrate-fb-comments",
        // Custom Post Options
        "custom-css-embed","custom-body-class", "custom-page-layout", 
        // Streamlined Squeeze Options
        "sq-main-font", "sq-main-cfont", "sqpreh-fontcolor", "sqpreh-sec-fontcolor", "sqpreh-texteffect", "sqhead-sec-fontcolor", "sqhead-texteffect",
        "sqsubh-sec-fontcolor", "sqsubh-texteffect", "sq-optin-image-select" , "sq-footerlink-1", "sq-footerlink-2", "sq-footerlink-3", "sq-footerlink-4",
        "sq-footerlink-5", "sq-footerlinktext-1", "sq-footerlinktext-2", "sq-footerlinktext-3", "sq-footerlinktext-4", "sq-footerlinktext-5",
        // Custom Squeeze Options
        "sq-custom-css-embed", "sq-custom-body-class", "sq-custom-template", "sqpreh-fontstyle", "sq-optinform-code" , "sq-spam-notice",
        // Squeeze Setup Options
        "sq-template", "sq-template-layout", "sq-adtracking-type", "sq-adtracking-id", "sq-autoresponder", "sq-awform-id", "sq-list-name", "sq-redirect-type", "sq-redirect-curl",
        // Headlines & Styling
        "sq-headline", "sq-cheadline-image", "sq-prehead", "sq-cprehead-image", "sq-subhead", "sq-csubhead-image", "sqpreh-fontsize", "sqpreh-cfontstyle", "sqpreh-fontweight",
        "sqhead-fontcolor", "sqhead-fontsize","sqhead-fontstyle", "sqhead-cfontstyle", "sqhead-fontweight",
        "sqsubh-fontcolor", "sqsubh-fontsize","sqsubh-fontstyle", "sqsubh-cfontstyle", "sqsubh-fontweight", "sq-bulletstyle", "sq-gbullet", "sq-cbullet",
        // Squeeze Split Testing & Tracking
        "sq-enable-split", "sq-gwosplit-type", "sq-gwocontrol-code", "sq-gwosplit-code", "sq-ctrack-code", "sq-ctrackcode-position", 
        // Squeeze Conversion Booster
        "sq-enable-videofake", "sq-vidfake-image", "sq-vidfake-cimage", "sq-vidfake-message", "sq-vidfake-position", "sq-optin-image", "sq-optin-cta", "sq-enableoptin-cta", 
        "sq-actionbullets-header", "sq-enableaction-bullets", "sq-actionbullet-1", "sq-actionbullet-2", "sq-actionbullet-3", "sq-actionbullet-4",
        "sq-submitbutton-image", "sq-submitbutton-cimage", "sq-submitbutton-text",
        // Authority Targeted Exiter
        "targeted-exit-message", "targeted-exit-url", "activate-targeted-exit",   
        //Facebook Comments
		"display-facebook-comments", "sq-facebook-appid", "sq-facebook-posts", "sq-facebook-message"     
      );  // inserts meta field into post admin with this unique identifier

function APSqueezePlugin() {
		
/* Post Template Redirects Hook
    *Function: Redirects a post to use a certain template based on post options */
    
    add_action("template_redirect", array(&$this, 'template_redirect'));	
              
/* Insert Posts Hook for Custom Fields Data
    *Function: Insert custom fields data into the database when saved or updated */
  add_action("wp_insert_post", array(&$this, "wp_insert_post"), 10, 2);
        
/* Post Custom Meta Box Setup - Admin Box Hook
    *Function: Activates function that display custom meta boxes in the post editor */
  add_action("admin_init", array(&$this, "admin_init"));
  
// Authority Pro Core Extensions
include 'library/extensions/squeezes.php';

// Authority Pro Post Types Includes
include 'library/posttypes/squeeze-pages.php'; 
	
	
}

/* Custom Post Template Redirect
  *Function: Redirect post to use a specific template based on options defined */  
function template_redirect() {	    
    include('library/core/template-redirects.php');
}

/* Custom Post Update Function
    *Function: Redirect post to use a specific template based on options defined */
function wp_insert_post($post_id, $post = null) { 
  include('library/core/insert-posts.php'); 
}

/*--------------------------------------------------------------------------------------------------------------
  ADMIN INIT - ADDING META BOXES TO CUSTOM POSTS
    - variables: global_custom_settings, media1_custom_settings, meta_global_options, meta_training_options
----------------------------------------------------------------------------------------------------------------*/

function admin_init() {
  include('library/metaboxes/meta-box-setup.php');  
}

/* Custom Squeeze Page Options 
 * Function: Insert custom meta box Squeeze Page Main Options - template, autoresponder, tracking, etc */

function squeeze_type_options() { include('library/metaboxes/squeeze/squeeze-type-options.php'); } 

/* Custom Squeeze Page Options
 * Function: Insert custom meta box for Custom Post Options on Squeezes - css body, css embed, hiding/showing theme elements, etc */

function custom_squeeze_options() { include('library/metaboxes/squeeze/custom-squeeze-options.php'); } 

/* Streamlined Squeeze Options
 * Function: Insert custom meta box for new Streamlined Squeeze Options */

function stream_squeeze_options() { include ('library/metaboxes/squeeze/stream-squeeze-options.php');} 

/* Custom Media SEO Options
 * Function: Insert custom meta box for the custom media SEO options on all media post types */

function custom_seo_options() { include ('library/metaboxes/custom-media-seo.php');}	


}

// Grabs custom field data and displays/true or doesn't display/false
function get_custom_field($key, $echo = FALSE) {
    global $post;
    $custom_field = get_post_meta($post->ID, $key, true);
    if ($echo == FALSE) return $custom_field;
    echo $custom_field;
}

// ======================================    ADMINISTRATOR THEMING FOR AUTHORITY PRO ======================================== /

function admin_register_head() { //include ('ap-admin/register-admin-styles.php'); }
    echo "<link rel='stylesheet' type='text/css' href='" . plugins_url('css/fancybox.css', __FILE__) . "' />\n";
    echo "<link type='text/css' rel='stylesheet' href='" . plugins_url('css/apeoptions_old.css', __FILE__) . "' />";
    echo "<link type='text/css' rel='stylesheet' href='" . plugins_url('ap-admin/css/apeoptions.css', __FILE__) . "' />";    
}
add_action('admin_head', 'admin_register_head');

if ( is_admin() ) 
{
wp_enqueue_script('fancyjquery', ''.plugins_url().'/authoritysqueeze/js/jquery.fancybox-1.2.6.min.js?ver=1.3.2'); 
wp_enqueue_script('fancyadmin', ''.plugins_url().'/authoritysqueeze/js/fancyadmin.js');
// enqueue styles
wp_enqueue_style( 'option-tree-style', plugins_url().'/authoritysqueeze/css/style.css', false, '3.0.4', 'screen');
wp_enqueue_script( 'jquery-color-picker', plugins_url().'/authoritysqueeze/js/jquery.color.picker.js', array('jquery') );
} 

// Initiate the plugin
add_action("init", "APSqueezePluginInit");
function APSqueezePluginInit() { global $mediatype; $mediatype = new APSqueezePlugin(); }


function insert_sqcss() { ?>

  <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/squeezes/css/jquery.lightbox-0.5.css" media="screen" />
  <?php if (get_custom_field('custom-css-embed') != '') { ?>
    <STYLE TYPE="text/css" MEDIA=screen>
      <!--
        <?php get_custom_field('custom-css-embed', true); ?>      
      -->
    </STYLE>
    <?php 
  } 
}

function insert_hscripts() { ?>
	
<!-- Custom theme additions >	-->
	
	<?php if (is_single() && get_custom_field('media-post-type') == 'mtresource') { ?>
	<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/squeezes/js/jquery-1.3.2.min.js"></script>
	<?php } ?>
	
	<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/squeezes/js/jquery.form.js"></script>	
	
	<?php if (is_single() && get_custom_field('dont-use-lightbox') == '' && get_custom_field('training-video-embed', false) !='') { ?>
  	<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/squeezes/css/fancybox.css" type="text/css" media="screen" />
  
  	<style type="text/css">
  		div#fancy_inner {border-color:#BBBBBB}
  		div#fancy_close {right:-15px;top:-12px}
  		div#fancy_bg {background-color:#FFFFFF; border:1px solid #BBBBBB}
  	</style>
  
  
  <!-- lightbox jquery -->
	<script type='text/javascript' src='<?php bloginfo('template_directory'); ?>/squeezes/js/jquery.fancybox-1.2.6.min.js?ver=1.3.2'></script>	
  <?php } 


}

// split content at the more tag and return an array
function split_content() {
  global $more;
  $more = true;
  $content = removesmartquotes($content);
  $content = preg_split('/<span id="more-\d+"><\/span>/i', get_the_content('more'));
  for($c = 0, $csize = count($content); $c < $csize; $c++) {
    $content[$c] = apply_filters('the_content', $content[$c]);
  }
  return $content;
}

function removesmartquotes($content)
{
  $content = str_replace("&#8220;", "&quot;", $content);
  $content = str_replace("&#8221;", "&quot;", $content);
  $content = str_replace("&#8216;", "&#39;", $content);
  $content = str_replace("&#8217;", "&#39;", $content);
 
  return $content;
} 

// Pass this Function to the Content Filter to Display videos on homepage blog display
function display_indexvideo() {
  if (get_custom_field('dont-use-lightbox', false)) { // Don't use the lightbox to launch video ?>
   <center><div style="width:100%;margin:20px auto;"><?php get_custom_field('training-video-embed', TRUE); ?></div></center>
   

<?php	} else { #Use the lightbox to launch the video   
  
  if (is_single()) { ?>
				
				
				<!-- Global Condition: Don't Display Video Image or Embed code if no video image is selected -->
					<?php						
				
						if (get_custom_field('training-video-image', false)) { // Then output the video image or embed code ?>
					
						<?php
						echo' <div style="margin:20px 0;" class="toolaunchvideo"><center><a class="fancybox" href="#launchvideo-'; the_ID(); echo'">
						<img border="0" title="';get_custom_field('media-seo-mainkey', true);echo'" src="'; bloginfo('template_directory');echo'/squeezes/icons/';get_custom_field('training-video-image', TRUE); echo'.png " border="0" alt="" /></a></center></div>';
						?>
						
						<div id="launchvideo-<?php the_ID(); ?>" style="display: none;">
						<center><?php get_custom_field('training-video-embed', TRUE); ?></center>
						</div>


						<?php } else {  // Don't display the video image or embed code
	
						echo'';
						}?>
				
				<?php } else { ?>
				    
                        <?php if (get_custom_field('training-video-image', false)) { // Then output the video image or embed code ?>
                    
                        <?php
                        echo' <div style="margin:20px 0;" class="toolaunchvideo"><center><a href="'; the_permalink(); echo'">
                        <img border="0" title="';get_custom_field('media-seo-mainkey', true);echo'" src="'; bloginfo('template_directory');echo'/squeezes/icons/';get_custom_field('training-video-image', TRUE); echo'.png " border="0" alt="" /></a></center></div>';
                        ?>
                        
                        <div id="launchvideo-<?php the_ID(); ?>" style="display: none;">
                        <center><?php get_custom_field('training-video-embed', TRUE); ?></center>
                        </div>


                        <?php } else {  // Don't display the video image or embed code
    
                        echo'';
                        }?>
				    
				<?php }# End thie is_single condtion	 
                
        } // end dont use light box condition 
}

// Remove the featured video from the content filter if placing video with shortcode [addvideo]
function disable_vidai($content)
{	
	$disablevidai = get_custom_field('disable-vid-ai', false);    
	if($disablevidai=='1'){
	return $content;
}
else {    
	return display_indexvideo().$content;
}
}
add_filter('the_content', 'disable_vidai');


// Create shortcode '[addvideo]' for in-content video posting
function con_video($atts) {
    ob_start(); 
    if (function_exists('display_indexvideo')) { display_indexvideo(); }  
    //function printvideotexts() { echo 'this is a video'; }
    //printvideotexts();
    $output_string = ob_get_contents(); 
    ob_end_clean(); 
    return $output_string;
}
add_shortcode('addvideo', 'con_video');

include ('library/core/shortcodes.php');

//Includes hook declarations for any function run primarily by apengine (sales, squeezes, etc)
include ('library/core/hooks.php');

//Includes common functions across all mediums of content
include ('library/core/common.php');

  
?>